<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="reportN" pageWidth="595" pageHeight="842" columnWidth="555" leftMargin="20" rightMargin="20" topMargin="20" bottomMargin="20" uuid="2d92abc7-0e51-4df8-87f5-01e11f9a71ed">
	<property name="ireport.zoom" value="1.0"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="0"/>
	<parameter name="fechaINI" class="java.util.Date">
		<defaultValueExpression><![CDATA[$F{FACTURA_FECHA}.getYear()]]></defaultValueExpression>
	</parameter>
	<queryString>
		<![CDATA[SELECT dim_habitacion.HABITACION_NUMERO,
dim_habitacion.HT_DESCRIPCION,
dim_factura.CLIENTE_NOMBRE,
dim_factura.FACTURA_FECHA,
dim_factura.FACTURA_FECHAFIN,
count(dim_habitacion.HT_DESCRIPCION)as CONTADOR
from hc_huesped
inner join dim_habitacion on hc_huesped.HABITACION_ID=dim_habitacion.HABITACION_ID
inner join dim_factura on hc_huesped.FACTURA_ID=dim_factura.FACTURA_ID
where EXTRACT(YEAR FROM dim_factura.FACTURA_FECHA)=$P{fechaINI}
group by dim_habitacion.HT_DESCRIPCION]]>
	</queryString>
	<field name="HABITACION_NUMERO" class="java.lang.Integer">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="HT_DESCRIPCION" class="java.lang.String">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="CLIENTE_NOMBRE" class="java.lang.String">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="FACTURA_FECHA" class="java.sql.Date">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="FACTURA_FECHAFIN" class="java.sql.Date">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="CONTADOR" class="java.lang.Long"/>
	<background>
		<band splitType="Stretch"/>
	</background>
	<title>
		<band height="136" splitType="Stretch">
			<image>
				<reportElement x="1" y="1" width="136" height="49" uuid="842d4753-9da0-4675-bea9-cfcd558d7806"/>
				<imageExpression><![CDATA["C:\\Users\\jely\\Documents\\NetBeansProjects\\reportes_java_mysql\\src\\imagenes\\ULEAM.png"]]></imageExpression>
			</image>
			<staticText>
				<reportElement x="116" y="61" width="344" height="20" uuid="57984713-c6fd-418e-bf01-d19264ffa409"/>
				<textElement>
					<font size="14" isBold="true"/>
				</textElement>
				<text><![CDATA[UNIVERSIDAD LAICA ELOY ALFARO DE MANABI]]></text>
			</staticText>
			<image>
				<reportElement x="351" y="1" width="200" height="49" uuid="a74e939f-9fd1-4606-a6d5-34214f4598fe"/>
				<imageExpression><![CDATA["C:\\Users\\jely\\Documents\\NetBeansProjects\\reportes_java_mysql\\src\\imagenes\\FACCI.jpg"]]></imageExpression>
			</image>
			<elementGroup>
				<staticText>
					<reportElement x="133" y="105" width="273" height="20" uuid="cdb2b207-5fc0-44b5-87ed-c0c7bcdad3f4"/>
					<textElement>
						<font size="14" isBold="true"/>
					</textElement>
					<text><![CDATA[SISTEMA COORPORATIVO DE GESTION]]></text>
				</staticText>
			</elementGroup>
		</band>
	</title>
	<pageHeader>
		<band height="26" splitType="Stretch"/>
	</pageHeader>
	<columnHeader>
		<band height="24" splitType="Stretch">
			<staticText>
				<reportElement x="8" y="2" width="100" height="20" uuid="6f2fa100-ebd6-40b8-b0ec-bda11a811a9d"/>
				<textElement>
					<font size="10" isBold="true"/>
				</textElement>
				<text><![CDATA[HABITACION]]></text>
			</staticText>
			<staticText>
				<reportElement x="122" y="2" width="130" height="20" uuid="eb2f192e-0bf4-40fb-923f-6aa5a531a1b5"/>
				<textElement>
					<font size="10" isBold="true"/>
				</textElement>
				<text><![CDATA[TIPO DE HABITACION]]></text>
			</staticText>
			<staticText>
				<reportElement x="280" y="2" width="100" height="20" uuid="da2004b5-c972-4710-b52c-e7eea3f05f17"/>
				<textElement>
					<font size="10" isBold="true"/>
				</textElement>
				<text><![CDATA[CONTADOR]]></text>
			</staticText>
		</band>
	</columnHeader>
	<detail>
		<band height="27" splitType="Stretch">
			<textField>
				<reportElement x="8" y="7" width="100" height="20" uuid="2ed9fb97-43b7-4f38-833a-957b19e62d46"/>
				<textElement textAlignment="Center">
					<font isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{HABITACION_NUMERO}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="122" y="7" width="147" height="20" uuid="5e6b9520-e3a7-4bae-84ef-0167fceab69a"/>
				<textFieldExpression><![CDATA[$F{HT_DESCRIPCION}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="280" y="7" width="100" height="20" uuid="f87daa62-3297-43ca-ae0a-37d8fd9569a4"/>
				<textElement textAlignment="Center"/>
				<textFieldExpression><![CDATA[$F{CONTADOR}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
	<summary>
		<band height="242">
			<barChart>
				<chart>
					<reportElement x="145" y="13" width="264" height="217" uuid="ed92b5ea-6705-4c56-810d-eea757c5d03c"/>
					<chartTitle/>
					<chartSubtitle/>
					<chartLegend/>
				</chart>
				<categoryDataset>
					<categorySeries>
						<seriesExpression><![CDATA[$F{HT_DESCRIPCION}]]></seriesExpression>
						<categoryExpression><![CDATA[$F{CONTADOR}]]></categoryExpression>
						<valueExpression><![CDATA[$F{HABITACION_NUMERO}]]></valueExpression>
					</categorySeries>
				</categoryDataset>
				<barPlot>
					<plot/>
					<itemLabel/>
					<categoryAxisFormat>
						<axisFormat/>
					</categoryAxisFormat>
					<valueAxisFormat>
						<axisFormat/>
					</valueAxisFormat>
				</barPlot>
			</barChart>
		</band>
	</summary>
</jasperReport>
